# HMCi Configuration
# Copy this file into /etc/hmci.toml and customize it to your environment.

###
### Define one InfluxDB to save metrics into
###

[influx]
url = "http://localhost:8086"
username = "root"
password = ""
database = "hmci"



###
### Define one or more HMC's to query for metrics
### Each entry must be named [hmc.<something-unique>]
###


# HMC to query for data and metrics
[hmc.site1]
url = "https://10.10.10.5:12443"
username = "hmci"
password = "hmcihmci"
refresh = 30   # How often to query HMC for data - in seconds
discover = 120 # Rescan HMC for new systems and partitions - in minutes
trust = true   # Ignore SSL cert. errors (due to default self-signed cert. on HMC)
energy = true  # Collect energy metrics on supported systems


# Another HMC example
#[hmc.site2]
#url = "https://10.10.20.5:12443"
#username = "user"
#password = "password"
#trace = "/tmp/hmci-trace"                   # When present, store JSON metrics files from HMC into this folder
#excludeSystems = [ 'notThisSystem' ]        # Collect metrics from all systems except those listed here
#includeSystems = [ 'onlyThisSystems' ]      # Collcet metrics from no systems but those listed here
#excludePartitions = [ 'skipThisPartition' ] # Collect metrics from all partitions except those listed here
#includePartitions = [ 'onlyThisPartition' ] # Collect metrics from no partitions but those listed here
